//
//  KPParser.h
//  KnitPicker
//
//  Created by James Dessart on 27/12/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef struct
{
	int		base_stitch_count;
	int		add_stitch_count;
	int		remove_stitch_count;
} stitchCounts;

@interface KPParser : NSObject
{
	stitchCounts	stitchCounts;
	
	NSNumber		*stitches;
	NSNumber		*expectedPreviousRowStitches;
	
	NSString		*rowString;
}

- (NSNumber*)stitches;
- (void)setStitches:(NSNumber*)stitchCount;

- (NSNumber*)expectedPreviousRowStitches;
- (void)setExpectedPreviousRowStitches:(NSNumber*)stitchCount;

- (NSString*)rowString;
- (void)setRowString:(NSString*)string;

@end
